/****************************
CrushFTP GUI Panel custom js
*****************************/
/* Do not change these lines */
var panelSyncs = {};
panelSyncs.localization = {};
/****************************/

// Panel details
var panelName = "Syncs";
var _panel = $("#pnl" + panelName);

// Localizations
panelSyncs.localization = {
	headerText : "",
	lblKeepXDaysOfSyncsText : "Keep x days of Syncs history : ",
	btnResetText : "Reset All Prefs to Default",
	btnCancelText : "Cancel",
	btnOKText : "Ok"
};

// Assign localizations
localizations.panels[panelName] = $.extend(panelSyncs.localization, localizations.panels[panelName]);

// Interface methods
panelSyncs.init = function(){
	applyLocalizations(panelName, localizations.panels);
	setPageTitle(panelSyncs.localization.Header, true);
	panelSyncs.bindData();
}

panelSyncs.bindData = function()
{
	var prefs = $(document).data("GUIXMLPrefs");
	bindValuesFromXML(_panel, prefs);
}

panelSyncs.saveContent = function()
{
	if(placeHolder.data("hasChanged"))
	{
		common.UI.showIndicator(false, false, "Please wait..");
		var xmlData = '<server_prefs type="properties">'+panelSyncs.buildXMLData(_panel)+'</server_prefs>';
		common.data.setXMLPrefs("server_settings/server_prefs/", "properties", "update", xmlData, function(data){
			data = $.xml2json(data, true);
			if(data.response_status && getTextValueFromXMLNode(data.response_status) && getTextValueFromXMLNode(data.response_status) == "OK")
			{
				common.data.updateLocalPrefs(function(){
					common.UI.hideIndicator();
					growl("Data saved", "Your changes are saved", false, 5000);
					placeHolder.removeData("hasChanged");
				});
			}
			else
			{
				growl("Error while saving", "Your changes are not saved", true);
			}
		});
	}
	else
	{
		growl("No changes made", "", false, 3000);
	}
}

panelSyncs.buildXMLData = function()
{
	var xmlString = buildXMLToSubmitForm(_panel);
	return xmlString;
}